#ifndef CONTACTFACTORY_H
#define CONTACTFACTORY_H
#include "contactlist.h"

class ContactFactory{
    //operator overloading
    friend ContactFactory& operator >> (ContactFactory& cf, ContactList& cl);

    public:
       //no-arg constructor
       ContactFactory();
       //returns a random contact
       Contact* createContact();

    private:
       //data members
       QList<int> categories;
       QStringList firstNames;
       QStringList lastNames;
       QStringList streetAddresses;
       QStringList zipCodes;
       QStringList cities;
       QStringList phoneNumbers;
};
#endif
