#include "doubleinputfield.h"

DoubleInputField::DoubleInputField(){
    doubleSpinBox = new QDoubleSpinBox();
    doubleSpinBox->setMaximum(9999.9999);
}

DoubleInputField::~DoubleInputField(){
    delete doubleSpinBox;
}

QVariant DoubleInputField::getValue() const {
    return QVariant(doubleSpinBox->value());
}

void DoubleInputField::setValue(QVariant value) {
    doubleSpinBox->setValue(value.toDouble());
}

QWidget* DoubleInputField::getWidget() const {
    return doubleSpinBox;
}
