#include "inputfieldfactory.h"
#include <QDebug>

InputField* InputFieldFactory:: getField(QVariant v)const{

    if (QString(v.typeName()) == "QString"){
        return new StringInputField();
    }
    if (QString(v.typeName()) == "double"){
        return new DoubleInputField();
    }
    if (QString(v.typeName()) == "QDateTime"){
        return new DateInputField();
    }
    else return 0;
}
