#include "stringinputfield.h"

StringInputField::StringInputField(){
    lineEdit = new QLineEdit();
}

StringInputField::~StringInputField(){
    delete lineEdit;
}

QVariant StringInputField::getValue()  const {
    return QVariant(lineEdit->text());
}

void StringInputField::setValue(QVariant value) {
    lineEdit->setText(value.toString());
}

QWidget* StringInputField::getWidget() const {
    return lineEdit;
}

