#include "testwidget.h"
#include <QVBoxLayout>
#include <QPushButton>
#include <QMessageBox>
#include <QLabel>


TestWidget::TestWidget(QVariant v, QWidget *parent) :
    QWidget(parent){

    InputFieldFactory iff;
    i = iff.getField(v);

    QVBoxLayout *layout = new QVBoxLayout();
    QLabel * label = new QLabel("Requested widget: ");
    QPushButton* ok = new QPushButton("OK");

    layout->addWidget(label);
    layout->addWidget(i->getWidget());
    layout->addWidget(ok);
    this->setLayout(layout);
    i->setValue(v);
    connect(ok, SIGNAL(clicked()),this,SLOT(display()));

}

void TestWidget::display(){
    QString r = i->getValue().toString();
    QMessageBox::information(this,"InputField value",r,0,0);

}
