#ifndef RANDOMQUOTES_H
#define RANDOMQUOTES_H

#include <QWidget>
#include <QStringList>
#include <QTimer>
#include <QLabel>
#include <QLineEdit>
#include <QTextEdit>
#include <QPushButton>
#include <QProcess>

class RandomQuotes: public QWidget{
    Q_OBJECT
public:
    //constructor
    RandomQuotes();

private slots:
    //set timer
    void setTimer();
    //display quotes
    void displayQuotes();
    //start process
    void startProcess();
    //cancel timer
    void cancelTimer();

private:
    //widget data members
    QLabel* timerLabel;
    QLineEdit* timerEdit;
    QTextEdit* quoteEdit;
    QPushButton* okButton;
    QPushButton* cancelButton;    
    //timer
    QTimer* timer;    
    //for the process
    QProcess* process;
    //sets up the GUI and connects signals and slots    
    void setUpGUI();

};

#endif // RANDOMQUOTES_H
