#include "quotefactory.h"
#include "cstdlib"
#include "ctime"

//constructor initializing data member with random quotes
QuoteFactory::QuoteFactory(){
    //initializes quotes
    quotes = QStringList()
             << "It always seems impossible until it's done - Nelson Mandela"
             << "The only source of knowledge is experience - Albert Einstein"
             << "For a gallant spirit there can never be defeat - Wallis Simpson"
             << "Good habits are as easy to form as bad ones - Time McCarver"
             << "The purpose of life is a life of purpose - Robert Byrne"
             << "Success is going from failure to failure without a loss of enthusiasm - Sir Winston Churchill"
             << "All the art of living lies in a fine mingling of letting go and holding on - Henry Ellis"
             << "Don't wish it were easier, wish you were better - Jim Rohn"
             << "It's what you learn after you know it all that counts - John Wooden"
             << "Life is a long lesson in humility - James M. Barrie";
    //seed for the random number generator
    srand(time(NULL));
}

//returns a quote, where the information is randomnly selected
QString QuoteFactory:: getAQuote(){
    return quotes.at(rand() % quotes.size());
}

