#include "textandstyle.h"
#include "textandstylememento.h"

TextAndStyle::TextAndStyle(){}

TextAndStyle::TextAndStyle(QString t, QString s): text(t), style(s){
}

TextAndStyleMemento* TextAndStyle::createMemento(){
    TextAndStyleMemento* m = new TextAndStyleMemento();
    m->setState(*this);
    return m;
}

void TextAndStyle::setMemento(TextAndStyleMemento* m){
    TextAndStyle ts = m->getState();
    this->text = ts.text;
    this->style = ts.style;
}

QString TextAndStyle::getText()const{
    return text;
}

QString TextAndStyle::getStyle()const{
    return style;
}
