#ifndef COUNTERVIEWWIDGET_H
#define COUNTERVIEWWIDGET_H
#include <QWidget>
#include <QLabel>
#include <QLineEdit>
#include <QPushButton>

class CounterViewWidget : public QWidget{
    Q_OBJECT
public:
    CounterViewWidget(QString t);
    ~CounterViewWidget(){}

signals:
    void valuesEntered(int s, int e, int d, int i,QString t);
public slots:
    void readData();

private:
    QLabel* labels[4];
    QLineEdit* lineEdits[4];
    QPushButton* button;
};

#endif // COUNTERVIEWWIDGET_H
