#include <QMutex>
#include <QWaitCondition>
#include "counter.h"

Counter::Counter(int f, int t,int i, int d):startNum(f), endNum(t), increment(i), delay(d){
}

void Counter::count(){
    for(int i= startNum; i<= endNum; i+=increment){
        emit countValue(i);

        QMutex mutex;
        mutex.lock();
        QWaitCondition time;
        time.wait(&mutex,delay);
        mutex.unlock();
    }
    emit finished();
}
