#ifndef COUNTER_H
#define COUNTER_H
#include <QObject>

class Counter : public QObject {
Q_OBJECT

  public:
    Counter(){}
    Counter(int s, int e, int i, int d);    
    void setStart(int s){startNum = s;}
    void setEnd(int e){endNum = e;}
    void setIncrement(int i){increment = i;}
    void setDelay(int d){ delay = d;}
    int getDelay()const { return delay;}

public slots:
    void count();

  signals:
    void countValue(int val);
    void finished();

  private:
    int startNum;
    int endNum;
    int increment;
    int delay;
};


#endif // COUNTER_H
