#include "contactlistprocessor.h"

ContactListProcessor::ContactListProcessor(){
    fName = false;
    lName = false;
    sAddress = false;
    zCode = false;
    cit = false;
}

bool ContactListProcessor::startDocument(){
    result = "";
    return true;
}

bool ContactListProcessor::startElement(const QString &namespaceURI, const QString &localName, const QString &qName, const QXmlAttributes &atts){
    if (qName == "firstname") fName = true;
    if (qName == "lastname") lName = true;
    if (qName == "streetaddress") sAddress = true;
    if (qName == "zipcode") zCode = true;
    if (qName == "city") cit = true;
    return true;

}

bool ContactListProcessor::characters(const QString &ch){
    if (fName){
            result.append(ch).append(" ");
            fName = false;
        }
        if (lName){
            result.append(ch).append("\n");
            lName = false;
        }
        if (sAddress)
        {
            result.append(ch).append("\n");
            sAddress = false;
        }
        if (zCode)
        {
            result.append(ch).append("\n");
            zCode = false;
        }
        if (cit)
        {
            result.append(ch).append("\n\n\n");
            cit = false;
        }
        return true;
}

bool ContactListProcessor::endElement(const QString &namespaceURI, const QString &localName, const QString &qName){
    return true;
}

bool ContactListProcessor::endDocument(){
    return true;
}

QString ContactListProcessor::toString() const{
    return result;
}
