#ifndef CONTACTLISTPROCESSOR_H
#define CONTACTLISTPROCESSOR_H

#include <QXmlDefaultHandler>

class ContactListProcessor : public QXmlDefaultHandler{
public:
    ContactListProcessor();
    bool startDocument();
    bool startElement(const QString &namespaceURI, const QString &localName, const QString &qName, const QXmlAttributes &atts);
    bool characters(const QString &ch);
    bool endElement(const QString &namespaceURI, const QString &localName, const QString &qName);
    bool endDocument();

    QString toString() const;

private:

    QString result;
    bool fName;
    bool lName;
    bool sAddress;
    bool zCode;
    bool cit;
};

#endif // CONTACTLISTPROCESSOR_H

