#include "dateinputfield.h"

DateInputField::DateInputField(){
    dateEdit = new QDateTimeEdit();
}

DateInputField::~DateInputField(){
    delete dateEdit;
}

QVariant DateInputField::getValue() const {
    return QVariant(dateEdit->dateTime());
}

void DateInputField::setValue(QVariant value) {
    dateEdit->setDateTime(value.toDateTime());
}

QWidget* DateInputField::getWidget() const {
    return dateEdit;
}
