#ifndef DATEINPUTFIELD_H
#define DATEINPUTFIELD_H

#include <QDateTimeEdit>
#include "inputfield.h"

class DateInputField : public InputField {

public:
    DateInputField();
    ~DateInputField();
    QVariant getValue() const;
    void setValue(QVariant value);
    QWidget* getWidget() const;
private:
    QDateTimeEdit *dateEdit;
};

#endif // DATEINPUTFIELD_H
