#ifndef DOUBLEINPUTFIELD_H
#define DOUBLEINPUTFIELD_H

#include <QDoubleSpinBox>
#include "inputfield.h"

class DoubleInputField : public InputField {
public:
    DoubleInputField();
    ~DoubleInputField();
    QVariant getValue() const;
    void setValue(QVariant value);
    QWidget* getWidget() const;
private:
    QDoubleSpinBox *doubleSpinBox;
};

#endif // DOUBLEINPUTFIELD_H

