#ifndef TEXTANDSTYLE_H
#define TEXTANDSTYLE_H

class TextAndStyleMemento;

#include <QString>

class TextAndStyle{
public:
    TextAndStyle();
    TextAndStyle(QString t, QString s);
    TextAndStyleMemento* createMemento();
    void setMemento(TextAndStyleMemento* m);
    QString getText() const;
    QString getStyle() const;
private:
    QString text;
    QString style;
};

#endif // TEXTANDSTYLE_H
