#ifndef COUNTER_H
#define COUNTER_H
#include <QThread>

class Counter : public QThread {
Q_OBJECT

  public:
    Counter(){}
    Counter(int s, int e, int i, int d);
    virtual void run();
    void setStart(int s){startNum = s;}
    void setEnd(int e){endNum = e;}
    void setIncrement(int i){increment = i;}
    void setDelay(int d){ delay = d;}

  public slots:
    void start() {
      QThread::start();
    }
  signals:
    void count(int val);

  private:
    int startNum;
    int endNum;
    int increment;
    int delay;
};


#endif // COUNTER_H
