#ifndef COUNTERVIEW_H
#define COUNTERVIEW_H

#include <QApplication>
#include <QMainWindow>
#include <QLineEdit>
#include <QPushButton>
#include <QLabel>
#include <QTextEdit>
#include <QThread>

#include "counter.h"
#include "counterviewwidget.h"


class CounterView : public QApplication {
Q_OBJECT

  public:
    CounterView(int argc, char* argv[]) ;
    ~CounterView();

  private slots:
     void startThread(int s, int e, int i, int d, QString t);
     void update(int i);

  private:

    QDockWidget* returnDockWidget(QWidget* w, QString s);
    QMainWindow mainWindow;
    QTextEdit* result;

    CounterViewWidget *cv1;
    CounterViewWidget *cv2;
    Counter *c1;
    Counter *c2;
    QThread *t1, *t2;

};
#endif
